{% extends "base.html" %}

{%- block htmltitle %}Login{%- endblock%}

{%- block content %}
<section class="hero is-fullheight-with-navbar">
  <div class="hero-body">
    <div class="container">
      <div class="columns is-centered">
        <div class="column is-one-quarter">
          <h1 class="title">Login</h1>

          <form action="{{ url_for('submit_login') }}" method="post">
            <div class="field">
              <label class="label">Username</label>
              <div class="control has-icons-left">
                <input class="input" name="username" type="text" placeholder="Username" required>
                <span class="icon is-small is-left">
                  <i class="fas fa-user"></i>
                </span>
              </div>
            </div>

            <div class="field">
              <label class="label">Password</label>
              <p class="control has-icons-left">
                <input class="input" name="password" type="password" placeholder="Password" required>
                <span class="icon is-small is-left">
                  <i class="fas fa-lock"></i>
                </span>
              </p>
            </div>

            <div class="field">
              <p class="control">
                <button class="button is-primary" type="submit">Submit</button>
              </p>
            </div>
          </form>

          <hr>

          <p><small>No account yet? <a href="{{ url_for('register') }}">Register</a></small></p>
        </div>
      </div>
    </div>
  </div>
</section>
{%- endblock %}
